This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 662793 - burn extension is linked against gtk3
burn extension is linked against gtk3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F15-accepted/F15FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2010-12-13 16:33 EST by Bill Nottingham
Modified: 2014-03-16 23:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-14 17:40:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 637268 None None None Never

  None (edit)
Description Bill Nottingham 2010-12-13 16:33:59 EST
Description of problem:

Via brasero libs. Given the app and the other extensions are linked against gtk2, this could be bad.

Version-Release number of selected component (if applicable):

gthumb-2.12.1-1.fc15.x86_64
Comment 1 Christian Krause 2010-12-13 17:40:26 EST
(In reply to comment #0)
> Via brasero libs. Given the app and the other extensions are linked against
> gtk2, this could be bad.

I'd like to fully understand the issue, please can you be a little bit more specific: ;-)

a) what's the specific problem, what can "be bad"

b) what's the best practice to solve this issue? Compiling gthumb against gtk3? What if there isn't a full gtk3 port yet? ...
Comment 2 Bill Nottingham 2010-12-14 11:26:16 EST
(In reply to comment #1)
> (In reply to comment #0)
> > Via brasero libs. Given the app and the other extensions are linked against
> > gtk2, this could be bad.
> 
> I'd like to fully understand the issue, please can you be a little bit more
> specific: ;-)
> 
> a) what's the specific problem, what can "be bad"

Use the wrong version of the symbols, and therefore crash, etc. It's avoided in apps by having them abort on start if they're linked against both versions; in plugins it's a bit murkier.

> b) what's the best practice to solve this issue? Compiling gthumb against gtk3?
> What if there isn't a full gtk3 port yet? ...

1) port gthumb to gtk3
2) disable the brasero plugin
3) figure out if the plugin and brasero libs actually need GTK... if not, take them out of the link

There may be other solutions.
Comment 3 Christian Krause 2010-12-14 17:40:58 EST
I have temporarily disabled the brasero plugin and created a new RAWHIDE build:

https://koji.fedoraproject.org/koji/buildinfo?buildID=209266

Additionally I've created a bug report upstream for porting gthumb to GTK+3 (including a description of the mixed linkage issue).

Note You need to log in before you can comment on or make changes to this bug.